Apple Music

Get Apple Music track

Get an Apple Music track by id or track URL.

GET/v1/apple-music/track
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
2
trackIdstringquery

Optional Apple Music song id for the request.

min 1 chars · max 128 chars

urlstringquery

Optional Apple Music song URL for the request.

min 1 chars · max 4096 chars

Response fields
19

Endpoint-specific response payload.

datalookupStatus
string

Whether the track was found.

one of: found, not_found

Track details when available.

datatrackplatform
string

Platform for this track.

one of: apple_music

datatracktrackId
string

Stable Apple Music song identifier.

min 1 chars

datatracktitle
string

Track title.

min 1 chars

datatrackdurationMs
integernullable

Track duration in milliseconds when available.

≥ 0

datatracktrackNumber
integernullable

Track number on the album when available.

≥ 0

datatrackexplicit
booleannullable

Whether the track is marked explicit when available.

datatrackartistName
stringnullable

Primary artist display name when available.

datatrackalbumTitle
stringnullable

Album title when available.

datatrackartworkUrl
stringnullable

Best available square artwork image URL when available.

datatrackpreviewUrl
stringnullable

Short audio preview URL when available.

datatracktrackUrl
stringnullable

Canonical public Apple Music song URL when available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

metacached
booleanoptional

True when served from shared response cache. Credits still apply (full endpoint price); Age header may be present.

Code example

curl "https://api.socialfetch.dev/v1/apple-music/track?trackId=1468058169" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Track lookup result.